var x = {
    "metadataVersion": "1.0.3",
    "namingConvention": "camelCase2",
    "localQueryComparisonOptions": "caseInsensitiveSQL",
    "dataServices": [
       {
           "serviceName": "breeze/NorthwindIBModel/",
           "hasServerMetadata": true,
           "jsonResultsAdapter": "webApi_default",
           "useJsonp": false
       }
    ],
    "structuralTypes": [
       {
           "shortName": "Location",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "isComplexType": true,
           "dataProperties": [
              {
                  "name": "address",
                  "dataType": "String",
                  "maxLength": 60,
                  "validators": [
                     {
                         "maxLength": 60,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "city",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "region",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "postalCode",
                  "dataType": "String",
                  "maxLength": 10,
                  "validators": [
                     {
                         "maxLength": 10,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "country",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              }
           ]
       },
       {
           "shortName": "Category",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "Identity",
           "defaultResourceName": "Categories",
           "dataProperties": [
              {
                  "name": "categoryID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "categoryName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 15,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "description",
                  "dataType": "String",
                  "validators": [
                     {
                         "name": "string"
                     }
                  ]
              },
              {
                  "name": "picture",
                  "dataType": "Binary",
                  "validators": [
                     {
                         "name": "none"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "products",
                  "entityTypeName": "Product:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "FK_Product_Category"
              }
           ]
       },
       {
           "shortName": "Customer",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "Identity",
           "defaultResourceName": "Customers",
           "dataProperties": [
              {
                  "name": "customerID",
                  "dataType": "Guid",
                  "isNullable": false,
                  "defaultValue": "00000000-0000-0000-0000-000000000000",
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "guid"
                     }
                  ]
              },
              {
                  "name": "customerID_OLD",
                  "dataType": "String",
                  "maxLength": 5,
                  "validators": [
                     {
                         "maxLength": 5,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "companyName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 40,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 40,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "contactName",
                  "dataType": "String",
                  "maxLength": 30,
                  "validators": [
                     {
                         "maxLength": 30,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "contactTitle",
                  "dataType": "String",
                  "maxLength": 30,
                  "validators": [
                     {
                         "maxLength": 30,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "address",
                  "dataType": "String",
                  "maxLength": 60,
                  "validators": [
                     {
                         "maxLength": 60,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "city",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "region",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "postalCode",
                  "dataType": "String",
                  "maxLength": 10,
                  "validators": [
                     {
                         "maxLength": 10,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "country",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "phone",
                  "dataType": "String",
                  "maxLength": 24,
                  "validators": [
                     {
                         "maxLength": 24,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "fax",
                  "dataType": "String",
                  "maxLength": 24,
                  "validators": [
                     {
                         "maxLength": 24,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "concurrencyMode": "Fixed",
                  "validators": [
                     {
                         "name": "int32"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "orders",
                  "entityTypeName": "Order:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "FK_Order_Customer"
              }
           ]
       },
       {
           "shortName": "Employee",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "Identity",
           "defaultResourceName": "Employees",
           "dataProperties": [
              {
                  "name": "employeeID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "lastName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 30,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 30,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "firstName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 30,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 30,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "title",
                  "dataType": "String",
                  "maxLength": 30,
                  "validators": [
                     {
                         "maxLength": 30,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "titleOfCourtesy",
                  "dataType": "String",
                  "maxLength": 25,
                  "validators": [
                     {
                         "maxLength": 25,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "birthDate",
                  "dataType": "DateTime",
                  "validators": [
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "hireDate",
                  "dataType": "DateTime",
                  "validators": [
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "address",
                  "dataType": "String",
                  "maxLength": 60,
                  "validators": [
                     {
                         "maxLength": 60,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "city",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "region",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "postalCode",
                  "dataType": "String",
                  "maxLength": 10,
                  "validators": [
                     {
                         "maxLength": 10,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "country",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "homePhone",
                  "dataType": "String",
                  "maxLength": 24,
                  "validators": [
                     {
                         "maxLength": 24,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "extension",
                  "dataType": "String",
                  "maxLength": 4,
                  "validators": [
                     {
                         "maxLength": 4,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "photo",
                  "dataType": "Binary",
                  "validators": [
                     {
                         "name": "none"
                     }
                  ]
              },
              {
                  "name": "notes",
                  "dataType": "String",
                  "validators": [
                     {
                         "name": "string"
                     }
                  ]
              },
              {
                  "name": "photoPath",
                  "dataType": "String",
                  "maxLength": 255,
                  "validators": [
                     {
                         "maxLength": 255,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "reportsToEmployeeID",
                  "dataType": "Int32",
                  "validators": [
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "fullName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 62,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 62,
                         "name": "maxLength"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "directReports",
                  "entityTypeName": "Employee:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "FK_Employee_Employee"
              },
              {
                  "name": "manager",
                  "entityTypeName": "Employee:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_Employee_Employee",
                  "foreignKeyNames": [
                     "reportsToEmployeeID"
                  ]
              },
              {
                  "name": "employeeTerritories",
                  "entityTypeName": "EmployeeTerritory:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "FK_EmployeeTerritory_Employee"
              },
              {
                  "name": "orders",
                  "entityTypeName": "Order:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "FK_Order_Employee"
              },
              {
                  "name": "territories",
                  "entityTypeName": "Territory:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "EmployeeTerritoryNoPayload"
              }
           ]
       },
       {
           "shortName": "EmployeeTerritory",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "Identity",
           "defaultResourceName": "EmployeeTerritories",
           "dataProperties": [
              {
                  "name": "iD",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "employeeID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "territoryID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "employee",
                  "entityTypeName": "Employee:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_EmployeeTerritory_Employee",
                  "foreignKeyNames": [
                     "employeeID"
                  ]
              },
              {
                  "name": "territory",
                  "entityTypeName": "Territory:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_EmployeeTerritory_Territory",
                  "foreignKeyNames": [
                     "territoryID"
                  ]
              }
           ]
       },
       {
           "shortName": "InternationalOrder",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "None",
           "defaultResourceName": "InternationalOrders",
           "dataProperties": [
              {
                  "name": "orderID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "customsDescription",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 100,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 100,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "exciseTax",
                  "dataType": "Decimal",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "number"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "order",
                  "entityTypeName": "Order:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_InternationalOrder_Order",
                  "foreignKeyNames": [
                     "orderID"
                  ]
              }
           ]
       },
       {
           "shortName": "NextId",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "None",
           "defaultResourceName": "NextIds",
           "dataProperties": [
              {
                  "name": "name",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "isPartOfKey": true,
                  "maxLength": 50,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 50,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "nextId1",
                  "dataType": "Int64",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "integer"
                     }
                  ]
              }
           ]
       },
       {
           "shortName": "Order",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "Identity",
           "defaultResourceName": "Orders",
           "dataProperties": [
              {
                  "name": "orderID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "customerID",
                  "dataType": "Guid",
                  "validators": [
                     {
                         "name": "guid"
                     }
                  ]
              },
              {
                  "name": "employeeID",
                  "dataType": "Int32",
                  "validators": [
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "orderDate",
                  "dataType": "DateTime",
                  "validators": [
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "requiredDate",
                  "dataType": "DateTime",
                  "validators": [
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "shippedDate",
                  "dataType": "DateTime",
                  "validators": [
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "freight",
                  "dataType": "Decimal",
                  "validators": [
                     {
                         "name": "number"
                     }
                  ]
              },
              {
                  "name": "shipName",
                  "dataType": "String",
                  "maxLength": 40,
                  "validators": [
                     {
                         "maxLength": 40,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "shipAddress",
                  "dataType": "String",
                  "maxLength": 60,
                  "validators": [
                     {
                         "maxLength": 60,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "shipCity",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "shipRegion",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "shipPostalCode",
                  "dataType": "String",
                  "maxLength": 10,
                  "validators": [
                     {
                         "maxLength": 10,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "shipCountry",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "customer",
                  "entityTypeName": "Customer:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_Order_Customer",
                  "foreignKeyNames": [
                     "customerID"
                  ]
              },
              {
                  "name": "employee",
                  "entityTypeName": "Employee:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_Order_Employee",
                  "foreignKeyNames": [
                     "employeeID"
                  ]
              },
              {
                  "name": "internationalOrder",
                  "entityTypeName": "InternationalOrder:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_InternationalOrder_Order",
                  "foreignKeyNames": [
                     "orderID"
                  ]
              },
              {
                  "name": "orderDetails",
                  "entityTypeName": "OrderDetail:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "FK_OrderDetail_Order"
              }
           ]
       },
       {
           "shortName": "OrderDetail",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "None",
           "defaultResourceName": "OrderDetails",
           "dataProperties": [
              {
                  "name": "orderID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "productID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "unitPrice",
                  "dataType": "Decimal",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "number"
                     }
                  ]
              },
              {
                  "name": "quantity",
                  "dataType": "Int16",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int16"
                     }
                  ]
              },
              {
                  "name": "discount",
                  "dataType": "Single",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "number"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "order",
                  "entityTypeName": "Order:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_OrderDetail_Order",
                  "foreignKeyNames": [
                     "orderID"
                  ]
              },
              {
                  "name": "product",
                  "entityTypeName": "Product:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_OrderDetail_Product",
                  "foreignKeyNames": [
                     "productID"
                  ]
              }
           ]
       },
       {
           "shortName": "PreviousEmployee",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "None",
           "defaultResourceName": "PreviousEmployees",
           "dataProperties": [
              {
                  "name": "employeeID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "lastName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 20,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 20,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "firstName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 10,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 10,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "title",
                  "dataType": "String",
                  "maxLength": 30,
                  "validators": [
                     {
                         "maxLength": 30,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "titleOfCourtesy",
                  "dataType": "String",
                  "maxLength": 25,
                  "validators": [
                     {
                         "maxLength": 25,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "birthDate",
                  "dataType": "DateTime",
                  "validators": [
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "hireDate",
                  "dataType": "DateTime",
                  "validators": [
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "address",
                  "dataType": "String",
                  "maxLength": 60,
                  "validators": [
                     {
                         "maxLength": 60,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "city",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "region",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "postalCode",
                  "dataType": "String",
                  "maxLength": 10,
                  "validators": [
                     {
                         "maxLength": 10,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "country",
                  "dataType": "String",
                  "maxLength": 15,
                  "validators": [
                     {
                         "maxLength": 15,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "homePhone",
                  "dataType": "String",
                  "maxLength": 24,
                  "validators": [
                     {
                         "maxLength": 24,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "extension",
                  "dataType": "String",
                  "maxLength": 4,
                  "validators": [
                     {
                         "maxLength": 4,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "photo",
                  "dataType": "Binary",
                  "validators": [
                     {
                         "name": "none"
                     }
                  ]
              },
              {
                  "name": "notes",
                  "dataType": "String",
                  "validators": [
                     {
                         "name": "string"
                     }
                  ]
              },
              {
                  "name": "photoPath",
                  "dataType": "String",
                  "maxLength": 255,
                  "validators": [
                     {
                         "maxLength": 255,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              }
           ]
       },
       {
           "shortName": "Product",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "Identity",
           "defaultResourceName": "Products",
           "dataProperties": [
              {
                  "name": "productID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "productName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 40,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 40,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "supplierID",
                  "dataType": "Int32",
                  "validators": [
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "categoryID",
                  "dataType": "Int32",
                  "validators": [
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "quantityPerUnit",
                  "dataType": "String",
                  "maxLength": 20,
                  "validators": [
                     {
                         "maxLength": 20,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "unitPrice",
                  "dataType": "Decimal",
                  "validators": [
                     {
                         "name": "number"
                     }
                  ]
              },
              {
                  "name": "unitsInStock",
                  "dataType": "Int16",
                  "validators": [
                     {
                         "name": "int16"
                     }
                  ]
              },
              {
                  "name": "unitsOnOrder",
                  "dataType": "Int16",
                  "validators": [
                     {
                         "name": "int16"
                     }
                  ]
              },
              {
                  "name": "reorderLevel",
                  "dataType": "Int16",
                  "validators": [
                     {
                         "name": "int16"
                     }
                  ]
              },
              {
                  "name": "isDiscontinued",
                  "dataType": "Boolean",
                  "isNullable": false,
                  "defaultValue": false,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "bool"
                     }
                  ]
              },
              {
                  "name": "discontinuedDate",
                  "dataType": "DateTime",
                  "validators": [
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "category",
                  "entityTypeName": "Category:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_Product_Category",
                  "foreignKeyNames": [
                     "categoryID"
                  ]
              },
              {
                  "name": "supplier",
                  "entityTypeName": "Supplier:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_Product_Supplier",
                  "foreignKeyNames": [
                     "supplierID"
                  ]
              }
           ]
       },
       {
           "shortName": "Region",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "None",
           "defaultResourceName": "Regions",
           "dataProperties": [
              {
                  "name": "regionID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "regionDescription",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 50,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 50,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "territories",
                  "entityTypeName": "Territory:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "FK_Territory_Region"
              }
           ]
       },
       {
           "shortName": "Supplier",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "Identity",
           "defaultResourceName": "Suppliers",
           "dataProperties": [
              {
                  "name": "supplierID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "companyName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 40,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 40,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "contactName",
                  "dataType": "String",
                  "maxLength": 30,
                  "validators": [
                     {
                         "maxLength": 30,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "contactTitle",
                  "dataType": "String",
                  "maxLength": 30,
                  "validators": [
                     {
                         "maxLength": 30,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "phone",
                  "dataType": "String",
                  "maxLength": 24,
                  "validators": [
                     {
                         "maxLength": 24,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "fax",
                  "dataType": "String",
                  "maxLength": 24,
                  "validators": [
                     {
                         "maxLength": 24,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "homePage",
                  "dataType": "String",
                  "validators": [
                     {
                         "name": "string"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "location",
                  "complexTypeName": "Location:#Models.NorthwindIB.EDMX_2012",
                  "isNullable": false,
                  "validators": [
                     {
                         "name": "required"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "products",
                  "entityTypeName": "Product:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "FK_Product_Supplier"
              }
           ]
       },
       {
           "shortName": "Territory",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "None",
           "defaultResourceName": "Territories",
           "dataProperties": [
              {
                  "name": "territoryID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "territoryDescription",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 50,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 50,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "regionID",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "employeeTerritories",
                  "entityTypeName": "EmployeeTerritory:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "FK_EmployeeTerritory_Territory"
              },
              {
                  "name": "region",
                  "entityTypeName": "Region:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_Territory_Region",
                  "foreignKeyNames": [
                     "regionID"
                  ]
              },
              {
                  "name": "employees",
                  "entityTypeName": "Employee:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "EmployeeTerritoryNoPayload"
              }
           ]
       },
       {
           "shortName": "User",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "Identity",
           "defaultResourceName": "Users",
           "dataProperties": [
              {
                  "name": "id",
                  "dataType": "Int64",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "integer"
                     }
                  ]
              },
              {
                  "name": "userName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 100,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 100,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "userPassword",
                  "dataType": "String",
                  "maxLength": 200,
                  "validators": [
                     {
                         "maxLength": 200,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "firstName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 100,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 100,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "lastName",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 100,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 100,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "email",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 100,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 100,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "rowVersion",
                  "dataType": "Decimal",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "number"
                     }
                  ]
              },
              {
                  "name": "createdBy",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 100,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 100,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "createdByUserId",
                  "dataType": "Int64",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "integer"
                     }
                  ]
              },
              {
                  "name": "createdDate",
                  "dataType": "DateTime",
                  "isNullable": false,
                  "defaultValue": "1900-01-01T08:00:00.000Z",
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "modifiedBy",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 100,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 100,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "modifiedByUserId",
                  "dataType": "Int64",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "integer"
                     }
                  ]
              },
              {
                  "name": "modifiedDate",
                  "dataType": "DateTime",
                  "isNullable": false,
                  "defaultValue": "1900-01-01T08:00:00.000Z",
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "date"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "userRoles",
                  "entityTypeName": "UserRole:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "FK_UserRole_User"
              }
           ]
       },
       {
           "shortName": "UserRole",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "Identity",
           "defaultResourceName": "UserRoles",
           "dataProperties": [
              {
                  "name": "iD",
                  "dataType": "Int64",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "integer"
                     }
                  ]
              },
              {
                  "name": "userId",
                  "dataType": "Int64",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "integer"
                     }
                  ]
              },
              {
                  "name": "roleId",
                  "dataType": "Int64",
                  "isNullable": false,
                  "defaultValue": 0,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "integer"
                     }
                  ]
              }
           ],
           "navigationProperties": [
              {
                  "name": "user",
                  "entityTypeName": "User:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_UserRole_User",
                  "foreignKeyNames": [
                     "userId"
                  ]
              },
              {
                  "name": "role",
                  "entityTypeName": "Role:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": true,
                  "associationName": "FK_UserRole_Role",
                  "foreignKeyNames": [
                     "roleId"
                  ]
              }
           ]
       },
       {
           "shortName": "Role",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "Identity",
           "defaultResourceName": "Roles",
           "dataProperties": [
              {
                  "name": "id",
                  "dataType": "Int64",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "integer"
                     }
                  ]
              },
              {
                  "name": "name",
                  "dataType": "String",
                  "isNullable": false,
                  "defaultValue": "",
                  "maxLength": 50,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "maxLength": 50,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "description",
                  "dataType": "String",
                  "maxLength": 2000,
                  "validators": [
                     {
                         "maxLength": 2000,
                         "name": "maxLength"
                     }
                  ]
              },
              {
                  "name": "ts",
                  "dataType": "Binary",
                  "maxLength": 8,
                  "validators": [
                     {
                         "name": "none"
                     }
                  ]
              },
              {
                  "name": "roleType",
                  "dataType": "String",
                  "validators": [
                     {
                         "name": "string"
                     }
                  ],
                  "enumType": "Edm.NorthwindIBModel.RoleType"
              }
           ],
           "navigationProperties": [
              {
                  "name": "userRoles",
                  "entityTypeName": "UserRole:#Models.NorthwindIB.EDMX_2012",
                  "isScalar": false,
                  "associationName": "FK_UserRole_Role"
              }
           ]
       },
       {
           "shortName": "TimeLimit",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "Identity",
           "defaultResourceName": "TimeLimits",
           "dataProperties": [
              {
                  "name": "id",
                  "dataType": "Int32",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "int32"
                     }
                  ]
              },
              {
                  "name": "maxTime",
                  "dataType": "Time",
                  "isNullable": false,
                  "defaultValue": "PT0S",
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "duration"
                     }
                  ]
              },
              {
                  "name": "minTime",
                  "dataType": "Time",
                  "validators": [
                     {
                         "name": "duration"
                     }
                  ]
              },
              {
                  "name": "creationDate",
                  "dataType": "DateTimeOffset",
                  "validators": [
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "modificationDate",
                  "dataType": "DateTime",
                  "validators": [
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "geometry1",
                  "dataType": "Undefined",
                  "validators": [
                     {
                         "name": "none"
                     }
                  ],
                  "rawTypeName": "Edm.Geometry"
              },
              {
                  "name": "geography1",
                  "dataType": "Undefined",
                  "validators": [
                     {
                         "name": "none"
                     }
                  ],
                  "rawTypeName": "Edm.Geography"
              }
           ]
       },
       {
           "shortName": "Comment",
           "namespace": "Models.NorthwindIB.EDMX_2012",
           "autoGeneratedKeyType": "None",
           "defaultResourceName": "Comments",
           "dataProperties": [
              {
                  "name": "createdOn",
                  "dataType": "DateTime",
                  "isNullable": false,
                  "defaultValue": "1900-01-01T08:00:00.000Z",
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "date"
                     }
                  ]
              },
              {
                  "name": "comment1",
                  "dataType": "String",
                  "validators": [
                     {
                         "name": "string"
                     }
                  ]
              },
              {
                  "name": "seqNum",
                  "dataType": "Byte",
                  "isNullable": false,
                  "defaultValue": 0,
                  "isPartOfKey": true,
                  "validators": [
                     {
                         "name": "required"
                     },
                     {
                         "name": "byte"
                     }
                  ]
              }
           ]
       }
    ],
    "resourceEntityTypeMap": {
        "Categories": "Category:#Models.NorthwindIB.EDMX_2012",
        "Customers": "Customer:#Models.NorthwindIB.EDMX_2012",
        "Employees": "Employee:#Models.NorthwindIB.EDMX_2012",
        "EmployeeTerritories": "EmployeeTerritory:#Models.NorthwindIB.EDMX_2012",
        "InternationalOrders": "InternationalOrder:#Models.NorthwindIB.EDMX_2012",
        "NextIds": "NextId:#Models.NorthwindIB.EDMX_2012",
        "Orders": "Order:#Models.NorthwindIB.EDMX_2012",
        "OrderDetails": "OrderDetail:#Models.NorthwindIB.EDMX_2012",
        "PreviousEmployees": "PreviousEmployee:#Models.NorthwindIB.EDMX_2012",
        "Products": "Product:#Models.NorthwindIB.EDMX_2012",
        "Regions": "Region:#Models.NorthwindIB.EDMX_2012",
        "Suppliers": "Supplier:#Models.NorthwindIB.EDMX_2012",
        "Territories": "Territory:#Models.NorthwindIB.EDMX_2012",
        "Users": "User:#Models.NorthwindIB.EDMX_2012",
        "UserRoles": "UserRole:#Models.NorthwindIB.EDMX_2012",
        "Roles": "Role:#Models.NorthwindIB.EDMX_2012",
        "TimeLimits": "TimeLimit:#Models.NorthwindIB.EDMX_2012",
        "Comments": "Comment:#Models.NorthwindIB.EDMX_2012"
    }
}